"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var camelcase_1 = __importDefault(require("camelcase"));
exports.default = (function () { return [
    [
        'import',
        {
            libraryName: 'vant-react-native',
            customName: function (name) {
                if (name === 'icon') {
                    return '@vant-react-native/icons';
                }
                if (name.match(/^van-icon-/)) {
                    return "@vant-react-native/icons/lib/" + camelcase_1.default(name, { pascalCase: true });
                }
                return "@vant-react-native/" + name;
            },
        },
        'vant-react-native',
    ],
    [
        'import',
        {
            libraryName: '@vant-react-native/icons',
            customName: function (name) {
                return "@vant-react-native/icons/lib/" + camelcase_1.default(name, { pascalCase: true });
            },
        },
        '@vant-react-native/icons',
    ],
]; });
